---
# generated by https://github.com/hashicorp/terraform-plugin-docs
page_title: "dynamix_account Resource - terraform-provider-dynamix"
subcategory: ""
description: |-
  
---

# dynamix_account (Resource)





<!-- schema generated by tfplugindocs -->
## Schema

### Required

- `account_name` (String) name of the account
- `username` (String) username of owner the account

### Optional

- `emailaddress` (String) email
- `enable` (Boolean) enable/disable account
- `permanently` (Boolean) whether to completely delete the account
- `resource_limits` (Attributes) (see [below for nested schema](#nestedatt--resource_limits))
- `restore` (Boolean) restore a deleted account
- `send_access_emails` (Boolean) if true send emails when a user is granted access to resources
- `timeouts` (Block, Optional) (see [below for nested schema](#nestedblock--timeouts))
- `users` (Attributes List) (see [below for nested schema](#nestedatt--users))

### Read-Only

- `account_id` (Number)
- `acl` (Attributes List) (see [below for nested schema](#nestedatt--acl))
- `ckey` (String)
- `company` (String)
- `companyurl` (String)
- `compute_features` (List of String)
- `computes` (Attributes) (see [below for nested schema](#nestedatt--computes))
- `cpu_allocation_parameter` (String)
- `cpu_allocation_ratio` (Number)
- `created_by` (String)
- `created_time` (Number)
- `dc_location` (String)
- `deactivation_time` (Number)
- `deleted_by` (String)
- `deleted_time` (Number)
- `displayname` (String)
- `guid` (Number)
- `id` (String) The ID of this resource.
- `last_updated` (String) Timestamp of the last Terraform update of the disk resource.
- `machines` (Attributes) (see [below for nested schema](#nestedatt--machines))
- `status` (String)
- `updated_time` (Number)
- `version` (Number)
- `vins` (List of Number)
- `vinses` (Number)

<a id="nestedatt--resource_limits"></a>
### Nested Schema for `resource_limits`

Optional:

- `cu_c` (Number)
- `cu_d` (Number)
- `cu_i` (Number)
- `cu_m` (Number)
- `cu_np` (Number)
- `gpu_units` (Number)


<a id="nestedblock--timeouts"></a>
### Nested Schema for `timeouts`

Optional:

- `create` (String) A string that can be [parsed as a duration](https://pkg.go.dev/time#ParseDuration) consisting of numbers and unit suffixes, such as "30s" or "2h45m". Valid time units are "s" (seconds), "m" (minutes), "h" (hours).
- `delete` (String) A string that can be [parsed as a duration](https://pkg.go.dev/time#ParseDuration) consisting of numbers and unit suffixes, such as "30s" or "2h45m". Valid time units are "s" (seconds), "m" (minutes), "h" (hours). Setting a timeout for a Delete operation is only applicable if changes are saved into state before the destroy operation occurs.
- `read` (String) A string that can be [parsed as a duration](https://pkg.go.dev/time#ParseDuration) consisting of numbers and unit suffixes, such as "30s" or "2h45m". Valid time units are "s" (seconds), "m" (minutes), "h" (hours). Read operations occur during any refresh or planning operation when refresh is enabled.
- `update` (String) A string that can be [parsed as a duration](https://pkg.go.dev/time#ParseDuration) consisting of numbers and unit suffixes, such as "30s" or "2h45m". Valid time units are "s" (seconds), "m" (minutes), "h" (hours).


<a id="nestedatt--users"></a>
### Nested Schema for `users`

Required:

- `access_type` (String)
- `user_id` (String)


<a id="nestedatt--acl"></a>
### Nested Schema for `acl`

Read-Only:

- `can_be_deleted` (Boolean)
- `explicit` (Boolean)
- `guid` (String)
- `right` (String)
- `status` (String)
- `type` (String)
- `user_group_id` (String)


<a id="nestedatt--computes"></a>
### Nested Schema for `computes`

Read-Only:

- `started` (Number)
- `stopped` (Number)


<a id="nestedatt--machines"></a>
### Nested Schema for `machines`

Read-Only:

- `halted` (Number)
- `running` (Number)
