---
# generated by https://github.com/hashicorp/terraform-plugin-docs
page_title: "dynamix_image Resource - terraform-provider-dynamix"
subcategory: ""
description: |-
  
---

# dynamix_image (Resource)





<!-- schema generated by tfplugindocs -->
## Schema

### Required

- `account_id` (Number) AccountId to make the image exclusive
- `boot_type` (String) Boot type of image bios or uefi
- `drivers` (List of String) List of types of compute suitable for image. Example: [ "KVM_X86" ]
- `image_name` (String) Name of the rescue disk
- `image_type` (String) Image type linux, windows or other
- `url` (String) URL where to download media from

### Optional

- `architecture` (String) Binary architecture of this image, one of X86_64
- `hot_resize` (Boolean) Does this machine supports hot resize
- `password` (String) Optional password for the image
- `password_dl` (String) Password for upload binary media
- `pool_name` (String) Pool for image create
- `sep_id` (Number) Storage endpoint provider ID
- `timeouts` (Block, Optional) (see [below for nested schema](#nestedblock--timeouts))
- `username` (String) Optional username for the image
- `username_dl` (String) Username for upload binary media

### Read-Only

- `acl` (List of String)
- `bootable` (Boolean)
- `cd_presented_to` (String)
- `ckey` (String)
- `compute_ci_id` (Number)
- `deleted_time` (Number)
- `desc` (String)
- `enabled` (Boolean)
- `gid` (Number)
- `guid` (Number)
- `history` (Attributes List) (see [below for nested schema](#nestedatt--history))
- `id` (String) The ID of this resource.
- `image_id` (Number)
- `last_modified` (Number)
- `last_updated` (String) Timestamp of the last Terraform update of the order.
- `link_to` (Number)
- `milestones` (Number)
- `network_interface_naming` (String)
- `present_to` (List of Number)
- `provider_name` (String)
- `purge_attempts` (Number)
- `res_id` (String)
- `rescuecd` (Boolean)
- `shared_with` (List of Number)
- `size` (Number)
- `status` (String)
- `tech_status` (String)
- `unc_path` (String)
- `version` (String)

<a id="nestedblock--timeouts"></a>
### Nested Schema for `timeouts`

Optional:

- `create` (String) A string that can be [parsed as a duration](https://pkg.go.dev/time#ParseDuration) consisting of numbers and unit suffixes, such as "30s" or "2h45m". Valid time units are "s" (seconds), "m" (minutes), "h" (hours).
- `delete` (String) A string that can be [parsed as a duration](https://pkg.go.dev/time#ParseDuration) consisting of numbers and unit suffixes, such as "30s" or "2h45m". Valid time units are "s" (seconds), "m" (minutes), "h" (hours). Setting a timeout for a Delete operation is only applicable if changes are saved into state before the destroy operation occurs.
- `read` (String) A string that can be [parsed as a duration](https://pkg.go.dev/time#ParseDuration) consisting of numbers and unit suffixes, such as "30s" or "2h45m". Valid time units are "s" (seconds), "m" (minutes), "h" (hours). Read operations occur during any refresh or planning operation when refresh is enabled.
- `update` (String) A string that can be [parsed as a duration](https://pkg.go.dev/time#ParseDuration) consisting of numbers and unit suffixes, such as "30s" or "2h45m". Valid time units are "s" (seconds), "m" (minutes), "h" (hours).


<a id="nestedatt--history"></a>
### Nested Schema for `history`

Read-Only:

- `guid` (String)
- `id` (Number)
- `timestamp` (Number)
