---
# generated by https://github.com/hashicorp/terraform-plugin-docs
page_title: "dynamix_k8s_cp Resource - terraform-provider-dynamix"
subcategory: ""
description: |-
  
---

# dynamix_k8s_cp (Resource)





<!-- schema generated by tfplugindocs -->
## Schema

### Required

- `k8sci_id` (Number) ID of the k8s catalog item to base this instance on.
- `name` (String) Name of the cluster.
- `network_plugin` (String) Network plugin to be used
- `rg_id` (Number) Resource group ID that this instance belongs to.

### Optional

- `additional_sans` (List of String) is used to define settings and actions that should be performed before any other component in the cluster starts. It allows you to configure things like node registration, network setup, and other initialization tasks. insert a valid JSON string with all levels of nesting.
- `chipset` (String) Type of the emulated system
- `cluster_config` (String) is used to configure the behavior and settings of the Kube-proxy, which is responsible for network proxying and load balancing within the cluster. It includes parameters such as proxy mode, cluster IP ranges, and other Kube-proxy specific configurations. insert a valid JSON string with all levels of nesting.
- `cpu` (Number) Node CPU count.
- `desc` (String) Text description of this instance.
- `disk` (Number) Node boot disk size in GB.
- `enabled` (Boolean) Enable k8s cluster
- `extnet_id` (Number) ID of the external network to connect workers to. If omitted network will be chosen by the platfom.
- `extnet_only` (Boolean) Use only selected ExtNet for infrastructure connections
- `ha_mode` (Boolean) Use Highly Available schema for LB deploy
- `init_config` (String) is used to define settings and actions that should be performed before any other component in the cluster starts. It allows you to configure things like node registration, network setup, and other initialization tasks. insert a valid JSON string with all levels of nesting.
- `join_config` (String) is used to configure the behavior and settings for joining a node to a cluster. It includes parameters such as the cluster's control plane endpoint, token, and certificate key. insert a valid JSON string with all levels of nesting.
- `kube_proxy_config` (String) is used to configure the behavior and settings of the Kube-proxy, which is responsible for network proxying and load balancing within the cluster. It includes parameters such as proxy mode, cluster IP ranges, and other Kube-proxy specific configurations. insert a valid JSON string with all levels of nesting.
- `kubelet_config` (String) is used to configure the behavior and settings of the Kube-proxy, which is responsible for network proxying and load balancing within the cluster. It includes parameters such as proxy mode, cluster IP ranges, and other Kube-proxy specific configurations. insert a valid JSON string with all levels of nesting.
- `lb_sysctl_params` (Attributes List) Custom sysctl values for Load Balancer instance. Applied on boot. (see [below for nested schema](#nestedatt--lb_sysctl_params))
- `num` (Number) Number of VMs to create. Can be either 1,3 or 5
- `oidc_cert` (String) Insert ssl certificate in x509 pem format
- `permanently` (Boolean) whether to completely delete the k8s cluster
- `ram` (Number) Node RAM in MB.
- `restore` (Boolean) if true, restore the k8s cluster from Recycle Bin
- `sep_id` (Number) Storage Endpoint ID
- `sep_pool` (String) Storage Endpoint Pool
- `start` (Boolean) Start k8s cluster.
- `timeouts` (Block, Optional) (see [below for nested schema](#nestedblock--timeouts))
- `vins_id` (Number) ID of default vins for this instace.
- `with_lb` (Boolean) Create k8s with load balancer if true.

### Read-Only

- `account_id` (Number)
- `account_name` (String)
- `acl` (Attributes) (see [below for nested schema](#nestedatt--acl))
- `address_vip` (Attributes) (see [below for nested schema](#nestedatt--address_vip))
- `bservice_id` (Number)
- `created_by` (String)
- `created_time` (Number)
- `deleted_by` (String)
- `deleted_time` (Number)
- `detailed_info` (Attributes List) (see [below for nested schema](#nestedatt--detailed_info))
- `id` (String) The ID of this resource.
- `k8s_ci_name` (String)
- `k8s_id` (Number)
- `kubeconfig` (String)
- `last_updated` (String) Timestamp of the last Terraform update of the order.
- `lb_id` (Number)
- `lb_ip` (String)
- `master_group_id` (Number) Master group ID.
- `master_group_name` (String) Master group name.
- `rg_name` (String)
- `status` (String)
- `tech_status` (String)
- `updated_by` (String)
- `updated_time` (Number)

<a id="nestedatt--lb_sysctl_params"></a>
### Nested Schema for `lb_sysctl_params`

Required:

- `key` (String)
- `value` (String)


<a id="nestedblock--timeouts"></a>
### Nested Schema for `timeouts`

Optional:

- `create` (String) A string that can be [parsed as a duration](https://pkg.go.dev/time#ParseDuration) consisting of numbers and unit suffixes, such as "30s" or "2h45m". Valid time units are "s" (seconds), "m" (minutes), "h" (hours).
- `delete` (String) A string that can be [parsed as a duration](https://pkg.go.dev/time#ParseDuration) consisting of numbers and unit suffixes, such as "30s" or "2h45m". Valid time units are "s" (seconds), "m" (minutes), "h" (hours). Setting a timeout for a Delete operation is only applicable if changes are saved into state before the destroy operation occurs.
- `read` (String) A string that can be [parsed as a duration](https://pkg.go.dev/time#ParseDuration) consisting of numbers and unit suffixes, such as "30s" or "2h45m". Valid time units are "s" (seconds), "m" (minutes), "h" (hours). Read operations occur during any refresh or planning operation when refresh is enabled.
- `update` (String) A string that can be [parsed as a duration](https://pkg.go.dev/time#ParseDuration) consisting of numbers and unit suffixes, such as "30s" or "2h45m". Valid time units are "s" (seconds), "m" (minutes), "h" (hours).


<a id="nestedatt--acl"></a>
### Nested Schema for `acl`

Read-Only:

- `account_acl` (Attributes List) (see [below for nested schema](#nestedatt--acl--account_acl))
- `k8s_acl` (Attributes List) (see [below for nested schema](#nestedatt--acl--k8s_acl))
- `rg_acl` (Attributes List) (see [below for nested schema](#nestedatt--acl--rg_acl))

<a id="nestedatt--acl--account_acl"></a>
### Nested Schema for `acl.account_acl`

Read-Only:

- `explicit` (Boolean)
- `guid` (String)
- `right` (String)
- `status` (String)
- `type` (String)
- `user_group_id` (String)


<a id="nestedatt--acl--k8s_acl"></a>
### Nested Schema for `acl.k8s_acl`

Read-Only:

- `explicit` (Boolean)
- `guid` (String)
- `right` (String)
- `status` (String)
- `type` (String)
- `user_group_id` (String)


<a id="nestedatt--acl--rg_acl"></a>
### Nested Schema for `acl.rg_acl`

Read-Only:

- `explicit` (Boolean)
- `guid` (String)
- `right` (String)
- `status` (String)
- `type` (String)
- `user_group_id` (String)



<a id="nestedatt--address_vip"></a>
### Nested Schema for `address_vip`

Read-Only:

- `backend_ip` (String)
- `frontend_ip` (String)


<a id="nestedatt--detailed_info"></a>
### Nested Schema for `detailed_info`

Read-Only:

- `compute_id` (Number)
- `interfaces` (Attributes List) (see [below for nested schema](#nestedatt--detailed_info--interfaces))
- `name` (String)
- `natable_vins_ip` (String)
- `natable_vins_network` (String)
- `status` (String)
- `tech_status` (String)

<a id="nestedatt--detailed_info--interfaces"></a>
### Nested Schema for `detailed_info.interfaces`

Read-Only:

- `def_gw` (String)
- `ip_address` (String)
