package models

import (
	"github.com/hashicorp/terraform-plugin-framework-timeouts/resource/timeouts"
	"github.com/hashicorp/terraform-plugin-framework/types"
)

type ResourceDiskSnapshotModel struct {
	// request fields - required
	DiskID types.Int64  `tfsdk:"disk_id"`
	Label  types.String `tfsdk:"label"`

	// request fields - optional
	Rollback  types.Bool     `tfsdk:"rollback"`
	TimeStamp types.Int64    `tfsdk:"timestamp"`
	Timeouts  timeouts.Value `tfsdk:"timeouts"`

	// response fields
	Id          types.String `tfsdk:"id"`
	LastUpdated types.String `tfsdk:"last_updated"`
	GUID        types.String `tfsdk:"guid"`
	ResID       types.String `tfsdk:"res_id"`
	SnapSetGUID types.String `tfsdk:"snap_set_guid"`
	SnapSetTime types.Int64  `tfsdk:"snap_set_time"`
}
