package schemas

import (
	"github.com/hashicorp/terraform-plugin-framework/datasource/schema"
)

func MakeSchemaDataSourceDiskSnapshot() map[string]schema.Attribute {
	return map[string]schema.Attribute{
		// required attributes
		"disk_id": schema.Int64Attribute{
			Required:    true,
			Description: "The unique ID of the subscriber-owner of the disk",
		},
		"label": schema.StringAttribute{
			Required:    true,
			Description: "Name of the snapshot",
		},

		// computed attributes
		"id": schema.StringAttribute{
			Computed: true,
		},
		"guid": schema.StringAttribute{
			Computed: true,
		},
		"res_id": schema.StringAttribute{
			Computed: true,
		},
		"snap_set_guid": schema.StringAttribute{
			Computed: true,
		},
		"snap_set_time": schema.Int64Attribute{
			Computed: true,
		},
		"timestamp": schema.Int64Attribute{
			Computed: true,
		},
	}
}
