package schemas

import (
	"github.com/hashicorp/terraform-plugin-framework/datasource/schema"
	"github.com/hashicorp/terraform-plugin-framework/types"
)

func MakeSchemaDataSourceDPDK() map[string]schema.Attribute {
	return map[string]schema.Attribute{
		"dpdk_id": schema.Int64Attribute{
			Required: true,
		},
		"account_access": schema.ListAttribute{
			Computed:    true,
			ElementType: types.Int64Type,
		},
		"created_time": schema.Int64Attribute{
			Computed: true,
		},
		"desc": schema.StringAttribute{
			Computed: true,
		},
		"gid": schema.Int64Attribute{
			Computed: true,
		},
		"guid": schema.Int64Attribute{
			Computed: true,
		},
		"name": schema.StringAttribute{
			Computed: true,
		},
		"rg_access": schema.ListAttribute{
			Computed:    true,
			ElementType: types.Int64Type,
		},
		"status": schema.StringAttribute{
			Computed: true,
		},
		"ovs_bridge": schema.StringAttribute{
			Computed: true,
		},
		"vlan_id": schema.Int64Attribute{
			Computed: true,
		},
		"compute_ids": schema.ListAttribute{
			Computed:    true,
			ElementType: types.Int64Type,
		},
		"updated_time": schema.Int64Attribute{
			Computed: true,
		},
		"id": schema.StringAttribute{
			Computed: true,
		},
	}
}
