package models

import (
	"github.com/hashicorp/terraform-plugin-framework-timeouts/datasource/timeouts"
	"github.com/hashicorp/terraform-plugin-framework/types"
)

type DataSourceFLIPGroupModel struct {
	// request fields
	FlipgroupID types.Int64    `tfsdk:"flipgroup_id"`
	Timeouts    timeouts.Value `tfsdk:"timeouts"`

	// response fields
	AccountID   types.Int64  `tfsdk:"account_id"`
	AccountName types.String `tfsdk:"account_name"`
	ClientIDs   types.List   `tfsdk:"client_ids"`
	//ClientNames types.List   `tfsdk:"client_names"`
	ClientType  types.String `tfsdk:"client_type"`
	ConnID      types.Int64  `tfsdk:"conn_id"`
	ConnType    types.String `tfsdk:"conn_type"`
	CreatedBy   types.String `tfsdk:"created_by"`
	CreatedTime types.Int64  `tfsdk:"created_time"`
	DefaultGW   types.String `tfsdk:"default_gw"`
	DeletedBy   types.String `tfsdk:"deleted_by"`
	DeletedTime types.Int64  `tfsdk:"deleted_time"`
	Description types.String `tfsdk:"desc"`
	GID         types.Int64  `tfsdk:"gid"`
	GUID        types.Int64  `tfsdk:"guid"`
	ID          types.Int64  `tfsdk:"id"`
	IP          types.String `tfsdk:"ip"`
	Milestones  types.Int64  `tfsdk:"milestones"`
	Name        types.String `tfsdk:"name"`
	NetID       types.Int64  `tfsdk:"net_id"`
	NetType     types.String `tfsdk:"net_type"`
	Network     types.String `tfsdk:"network"`
	RGID        types.Int64  `tfsdk:"rg_id"`
	RGName      types.String `tfsdk:"rg_name"`
	Status      types.String `tfsdk:"status"`
	UpdatedBy   types.String `tfsdk:"updated_by"`
	UpdatedTime types.Int64  `tfsdk:"updated_time"`
}
