package models

import (
	"github.com/hashicorp/terraform-plugin-framework-timeouts/datasource/timeouts"
	"github.com/hashicorp/terraform-plugin-framework/types"
)

type K8ciListModel struct {
	// request fields
	ByID            types.Int64    `tfsdk:"by_id"`
	Name            types.String   `tfsdk:"name"`
	Status          types.String   `tfsdk:"status"`
	WorkerDriver    types.String   `tfsdk:"worker_driver"`
	MasterDriver    types.String   `tfsdk:"master_driver"`
	NetworkPlugins  types.String   `tfsdk:"network_plugins"`
	IncludeDisabled types.Bool     `tfsdk:"include_disabled"`
	Page            types.Int64    `tfsdk:"page"`
	SortBy          types.String   `tfsdk:"sort_by"`
	Size            types.Int64    `tfsdk:"size"`
	Timeouts        timeouts.Value `tfsdk:"timeouts"`
	// response fields
	Id         types.String          `tfsdk:"id"`
	Items      []ItemInListK8ciModel `tfsdk:"items"`
	EntryCount types.Int64           `tfsdk:"entry_count"`
}

type ItemInListK8ciModel struct {
	CreatedTime    types.Int64  `tfsdk:"created_time"`
	Description    types.String `tfsdk:"desc"`
	K8CIID         types.Int64  `tfsdk:"k8ci_id"`
	LBImageID      types.Int64  `tfsdk:"lb_image_id"`
	K8CIName       types.String `tfsdk:"k8ci_name"`
	NetworkPlugins types.List   `tfsdk:"network_plugins"`
	Status         types.String `tfsdk:"status"`
	Version        types.String `tfsdk:"version"`
}
