package models

import (
	"github.com/hashicorp/terraform-plugin-framework-timeouts/datasource/timeouts"
	"github.com/hashicorp/terraform-plugin-framework/types"
)

type K8SComputesModel struct {
	// request fields
	K8SID    types.Int64    `tfsdk:"k8s_id"`
	Timeouts timeouts.Value `tfsdk:"timeouts"`
	// response fields
	Id      types.String       `tfsdk:"id"`
	Masters []ItemComputeModel `tfsdk:"masters"`
	Workers []ItemComputeModel `tfsdk:"workers"`
}

type ItemComputeModel struct {
	ComputeId  types.Int64  `tfsdk:"compute_id"`
	Name       types.String `tfsdk:"name"`
	GroupName  types.String `tfsdk:"group_name"`
	Status     types.String `tfsdk:"status"`
	TechStatus types.String `tfsdk:"tech_status"`
}
