package models

import (
	"github.com/hashicorp/terraform-plugin-framework-timeouts/datasource/timeouts"
	"github.com/hashicorp/terraform-plugin-framework/types"
)

type ListPFWsModel struct {
	// request fields
	ComputeID types.Int64    `tfsdk:"compute_id"`
	Timeouts  timeouts.Value `tfsdk:"timeouts"`
	// response fields
	Id         types.String   `tfsdk:"id"`
	Items      []ItemPFWModel `tfsdk:"items"`
	EntryCount types.Int64    `tfsdk:"entry_count"`
}

type ItemPFWModel struct {
	PFWId           types.Int64  `tfsdk:"pfw_id"`
	LocalIP         types.String `tfsdk:"local_ip"`
	LocalPort       types.Int64  `tfsdk:"local_port"`
	Protocol        types.String `tfsdk:"protocol"`
	PublicPortEnd   types.Int64  `tfsdk:"public_port_end"`
	PublicPortStart types.Int64  `tfsdk:"public_port_start"`
	VMID            types.Int64  `tfsdk:"vm_id"`
}
