package models

import (
	"github.com/hashicorp/terraform-plugin-framework-timeouts/resource/timeouts"
	"github.com/hashicorp/terraform-plugin-framework/attr"
	"github.com/hashicorp/terraform-plugin-framework/types"
)

type ResourceLBFrontendModel struct {
	Backend  types.String   `tfsdk:"backend_name"`
	Bindings types.List     `tfsdk:"bindings"`
	LBID     types.Int64    `tfsdk:"lb_id"`
	GUID     types.String   `tfsdk:"guid"`
	Name     types.String   `tfsdk:"name"`
	ID       types.String   `tfsdk:"id"`
	Timeouts timeouts.Value `tfsdk:"timeouts"`
}

var ItemBindings = map[string]attr.Type{
	"address": types.StringType,
	"name":    types.StringType,
	"port":    types.Int64Type,
	"guid":    types.StringType,
}
