package models

import (
	"github.com/hashicorp/terraform-plugin-framework-timeouts/datasource/timeouts"
	"github.com/hashicorp/terraform-plugin-framework/types"
)

type DataSourceRGListPFWModel struct {
	// request fields
	RGID     types.Int64    `tfsdk:"rg_id"`    // required
	Timeouts timeouts.Value `tfsdk:"timeouts"` // optional

	// response fields
	Id         types.String          `tfsdk:"id"`
	Items      []ItemsRGListPFWModel `tfsdk:"items"`
	EntryCount types.Int64           `tfsdk:"entry_count"`
}

type ItemsRGListPFWModel struct {
	PublicPortEnd   types.Int64  `tfsdk:"public_port_end"`
	PublicPortStart types.Int64  `tfsdk:"public_port_start"`
	VMID            types.Int64  `tfsdk:"vm_id"`
	VMIP            types.String `tfsdk:"vm_ip"`
	VMName          types.String `tfsdk:"vm_name"`
	VMPort          types.Int64  `tfsdk:"vm_port"`
	VINSID          types.Int64  `tfsdk:"vins_id"`
	VINSName        types.String `tfsdk:"vins_name"`
}
