package schemas

import (
	"github.com/hashicorp/terraform-plugin-framework/datasource/schema"
	"github.com/hashicorp/terraform-plugin-framework/types"
)

func MakeSchemaDataSourceStack() map[string]schema.Attribute {
	return map[string]schema.Attribute{
		"stack_id": schema.Int64Attribute{
			Required: true,
		},
		"cpu_allocation_ratio": schema.Float64Attribute{
			Computed: true,
		},
		"descr": schema.StringAttribute{
			Computed: true,
		},
		"drivers": schema.ListAttribute{
			Computed:    true,
			ElementType: types.StringType,
		},
		"mem_allocation_ratio": schema.Float64Attribute{
			Computed: true,
		},
		"name": schema.StringAttribute{
			Computed: true,
		},
		"status": schema.StringAttribute{
			Computed: true,
		},
		"type": schema.StringAttribute{
			Computed: true,
		},
	}
}
