package models

import (
	"github.com/hashicorp/terraform-plugin-framework-timeouts/datasource/timeouts"
	"github.com/hashicorp/terraform-plugin-framework/types"
)

type DataSourceVINSListDeletedModel struct {
	// request fields
	ByID      types.Int64    `tfsdk:"by_id"`
	Name      types.String   `tfsdk:"name"`
	AccountID types.Int64    `tfsdk:"account_id"`
	RGID      types.Int64    `tfsdk:"rg_id"`
	ExtIP     types.String   `tfsdk:"ext_ip"`
	VNFDevId  types.Int64    `tfsdk:"vnfdev_id"`
	Page      types.Int64    `tfsdk:"page"`
	SortBy    types.String   `tfsdk:"sort_by"`
	Size      types.Int64    `tfsdk:"size"`
	Timeouts  timeouts.Value `tfsdk:"timeouts"`

	// response fields
	Id         types.String           `tfsdk:"id"`
	Items      []ItemVinsDeletedModel `tfsdk:"items"`
	EntryCount types.Int64            `tfsdk:"entry_count"`
}

type ItemVinsDeletedModel struct {
	AccountID   types.Int64  `tfsdk:"account_id"`
	AccountName types.String `tfsdk:"account_name"`
	CreatedBy   types.String `tfsdk:"created_by"`
	CreatedTime types.Int64  `tfsdk:"created_time"`
	DeletedBy   types.String `tfsdk:"deleted_by"`
	DeletedTime types.Int64  `tfsdk:"deleted_time"`
	ExternalIP  types.String `tfsdk:"external_ip"`
	ID          types.Int64  `tfsdk:"vins_id"`
	Name        types.String `tfsdk:"vins_name"`
	Network     types.String `tfsdk:"network"`
	RGID        types.Int64  `tfsdk:"rg_id"`
	RGName      types.String `tfsdk:"rg_name"`
	Status      types.String `tfsdk:"status"`
	UpdatedBy   types.String `tfsdk:"updated_by"`
	UpdatedTime types.Int64  `tfsdk:"updated_time"`
	VXLANID     types.Int64  `tfsdk:"vxlan_id"`
}
