package models

import (
	"github.com/hashicorp/terraform-plugin-framework-timeouts/datasource/timeouts"
	"github.com/hashicorp/terraform-plugin-framework/types"
)

type DataSourceVINSStaticRouteListModel struct {
	// request fields
	VinsID   types.Int64    `tfsdk:"vins_id"`
	Timeouts timeouts.Value `tfsdk:"timeouts"`

	// response fields
	Id         types.String               `tfsdk:"id"`
	Items      []ItemVinsStaticRouteModel `tfsdk:"items"`
	EntryCount types.Int64                `tfsdk:"entry_count"`
}

type ItemVinsStaticRouteModel struct {
	ComputeIds  types.List   `tfsdk:"compute_ids"`
	Destination types.String `tfsdk:"destination"`
	Gateway     types.String `tfsdk:"gateway"`
	GUID        types.String `tfsdk:"guid"`
	ID          types.Int64  `tfsdk:"id"`
	Netmask     types.String `tfsdk:"netmask"`
}
