package schemas

import (
	"github.com/hashicorp/terraform-plugin-framework/datasource/schema"
)

func MakeSchemaDataSourceVINSNATRuleList() map[string]schema.Attribute {
	return map[string]schema.Attribute{
		// optional attributes
		"vins_id": schema.Int64Attribute{
			Required:    true,
			Description: "VINS id",
		},

		// computed attributes
		"id": schema.StringAttribute{
			Computed: true,
		},
		"items": schema.ListNestedAttribute{
			Computed: true,
			NestedObject: schema.NestedAttributeObject{
				Attributes: map[string]schema.Attribute{
					"id": schema.Int64Attribute{
						Computed: true,
					},
					"local_ip": schema.StringAttribute{
						Computed: true,
					},
					"local_port": schema.Int64Attribute{
						Computed: true,
					},
					"protocol": schema.StringAttribute{
						Computed: true,
					},
					"public_port_end": schema.Int64Attribute{
						Computed: true,
					},
					"public_port_start": schema.Int64Attribute{
						Computed: true,
					},
					"vm_id": schema.Int64Attribute{
						Computed: true,
					},
					"vm_name": schema.StringAttribute{
						Computed: true,
					},
				},
			},
		},
		"entry_count": schema.Int64Attribute{
			Computed: true,
		},
	}
}
