package schemas

import (
	"github.com/hashicorp/terraform-plugin-framework/datasource/schema"
	"github.com/hashicorp/terraform-plugin-framework/types"
)

func MakeSchemaDataSourceVINSStaticRoute() map[string]schema.Attribute {
	return map[string]schema.Attribute{
		// required attributes
		"vins_id": schema.Int64Attribute{
			Required:    true,
			Description: "vins ID",
		},
		"route_id": schema.Int64Attribute{
			Required:    true,
			Description: "static route ID",
		},

		// computed attributes
		"id": schema.StringAttribute{
			Computed: true,
		},
		"compute_ids": schema.ListAttribute{
			Computed:    true,
			ElementType: types.Int64Type,
		},
		"destination": schema.StringAttribute{
			Computed: true,
		},
		"gateway": schema.StringAttribute{
			Computed: true,
		},
		"guid": schema.StringAttribute{
			Computed: true,
		},
		"netmask": schema.StringAttribute{
			Computed: true,
		},
	}
}
