package models

import (
	"github.com/hashicorp/terraform-plugin-framework-timeouts/datasource/timeouts"
	"github.com/hashicorp/terraform-plugin-framework/types"
)

type DataSourceAccountAuditsListModel struct {
	// request fields
	AccountID types.Int64    `tfsdk:"account_id"`
	Timeouts  timeouts.Value `tfsdk:"timeouts"`

	// response fields
	Id    types.String     `tfsdk:"id"`
	Items []ItemAuditModel `tfsdk:"items"`
}

type ItemAuditModel struct {
	Call         types.String  `tfsdk:"call"`
	ResponseTime types.Float64 `tfsdk:"responsetime"`
	StatusCode   types.Int64   `tfsdk:"statuscode"`
	Timestamp    types.Float64 `tfsdk:"timestamp"`
	User         types.String  `tfsdk:"user"`
}
