package models

import (
	"github.com/hashicorp/terraform-plugin-framework-timeouts/datasource/timeouts"
	"github.com/hashicorp/terraform-plugin-framework/types"
)

type DataSourceAuditLinkedJobs struct {
	//required field
	AuditGuid types.String   `tfsdk:"audit_guid"`
	Timeouts  timeouts.Value `tfsdk:"timeouts"`

	//response field
	ID    types.String `tfsdk:"id"`
	Items []LinkedJob  `tfsdk:"items"`
}

type LinkedJob struct {
	CMD        types.String `tfsdk:"cmd"`
	GUID       types.String `tfsdk:"guid"`
	NID        types.Int64  `tfsdk:"nid"`
	State      types.String `tfsdk:"state"`
	TimeCreate types.Int64  `tfsdk:"time_create"`
	TimeStart  types.Int64  `tfsdk:"time_start"`
	TimeStop   types.Int64  `tfsdk:"time_stop"`
	Timeout    types.Int64  `tfsdk:"timeout"`
}
