package schemas

import (
	"github.com/hashicorp/terraform-plugin-framework/datasource/schema"
)

func MakeSchemaDataSourceAuditLinkedJobs() map[string]schema.Attribute {
	return map[string]schema.Attribute{
		"audit_guid": schema.StringAttribute{
			Required: true,
		},
		"id": schema.StringAttribute{
			Computed: true,
		},
		"items": schema.ListNestedAttribute{
			Computed: true,
			NestedObject: schema.NestedAttributeObject{
				Attributes: map[string]schema.Attribute{
					"cmd": schema.StringAttribute{
						Computed: true,
					},
					"guid": schema.StringAttribute{
						Computed: true,
					},
					"nid": schema.Int64Attribute{
						Computed: true,
					},
					"state": schema.StringAttribute{
						Computed: true,
					},
					"time_create": schema.Int64Attribute{
						Computed: true,
					},
					"time_start": schema.Int64Attribute{
						Computed: true,
					},
					"time_stop": schema.Int64Attribute{
						Computed: true,
					},
					"timeout": schema.Int64Attribute{
						Computed: true,
					},
				},
			},
		},
	}
}
