package models

import (
	"github.com/hashicorp/terraform-plugin-framework-timeouts/datasource/timeouts"
	"github.com/hashicorp/terraform-plugin-framework/types"
)

type DiskModel struct {
	// request fields
	DiskID   types.Int64    `tfsdk:"disk_id"`
	Timeouts timeouts.Value `tfsdk:"timeouts"`

	// computed fields
	MachineID           types.Int64     `tfsdk:"machine_id"`
	MachineName         types.String    `tfsdk:"machine_name"`
	DeviceName          types.String    `tfsdk:"devicename"`
	SEPType             types.String    `tfsdk:"sep_type"`
	AccountID           types.Int64     `tfsdk:"account_id"`
	AccountName         types.String    `tfsdk:"account_name"`
	ACL                 types.String    `tfsdk:"acl"`
	BootPartition       types.Int64     `tfsdk:"boot_partition"`
	Computes            []ComputeModel  `tfsdk:"computes"`
	CreatedTime         types.Int64     `tfsdk:"created_time"`
	DeletedTime         types.Int64     `tfsdk:"deleted_time"`
	Description         types.String    `tfsdk:"desc"`
	DestructionTime     types.Int64     `tfsdk:"destruction_time"`
	DiskPath            types.String    `tfsdk:"disk_path"`
	GID                 types.Int64     `tfsdk:"gid"`
	GUID                types.Int64     `tfsdk:"guid"`
	ImageID             types.Int64     `tfsdk:"image_id"`
	Images              types.List      `tfsdk:"images"`
	IOTune              *IOModel        `tfsdk:"iotune"`
	IQN                 types.String    `tfsdk:"iqn"`
	Login               types.String    `tfsdk:"login"`
	Milestones          types.Int64     `tfsdk:"milestones"`
	Name                types.String    `tfsdk:"disk_name"`
	Order               types.Int64     `tfsdk:"order"`
	Params              types.String    `tfsdk:"params"`
	ParentID            types.Int64     `tfsdk:"parent_id"`
	Password            types.String    `tfsdk:"passwd"`
	PCISlot             types.Int64     `tfsdk:"pci_slot"`
	Pool                types.String    `tfsdk:"pool"`
	PresentTo           types.List      `tfsdk:"present_to"`
	PurgeAttempts       types.Int64     `tfsdk:"purge_attempts"`
	PurgeTime           types.Int64     `tfsdk:"purge_time"`
	RealityDeviceNumber types.Int64     `tfsdk:"reality_device_number"`
	ReferenceID         types.String    `tfsdk:"reference_id"`
	Replication         *ItemReplModel  `tfsdk:"replication"`
	ResID               types.String    `tfsdk:"res_id"`
	ResName             types.String    `tfsdk:"res_name"`
	Role                types.String    `tfsdk:"role"`
	SEPID               types.Int64     `tfsdk:"sep_id"`
	Shareable           types.Bool      `tfsdk:"shareable"`
	SizeMax             types.Int64     `tfsdk:"size_max"`
	SizeUsed            types.Float64   `tfsdk:"size_used"`
	Snapshots           []SnapshotModel `tfsdk:"snapshots"`
	Status              types.String    `tfsdk:"status"`
	TechStatus          types.String    `tfsdk:"tech_status"`
	Type                types.String    `tfsdk:"type"`
	VMID                types.Int64     `tfsdk:"vmid"`
}
