package models

import (
	"github.com/hashicorp/terraform-plugin-framework-timeouts/datasource/timeouts"
	"github.com/hashicorp/terraform-plugin-framework/types"
)

type DataSourceDiskSnapshotListModel struct {
	// request fields
	DiskID   types.Int64    `tfsdk:"disk_id"`
	Timeouts timeouts.Value `tfsdk:"timeouts"`

	// response fields
	Id    types.String       `tfsdk:"id"`
	Items []DiskItemSnapshot `tfsdk:"items"`
}

type DiskItemSnapshot struct {
	GUID        types.String `tfsdk:"guid"`
	Label       types.String `tfsdk:"label"`
	ReferenceID types.String `tfsdk:"reference_id"`
	ResID       types.String `tfsdk:"res_id"`
	SnapSetGUID types.String `tfsdk:"snap_set_guid"`
	SnapSetTime types.Int64  `tfsdk:"snap_set_time"`
	TimeStamp   types.Int64  `tfsdk:"timestamp"`
}
