package models

import (
	"github.com/hashicorp/terraform-plugin-framework-timeouts/datasource/timeouts"
	"github.com/hashicorp/terraform-plugin-framework/types"
)

type DataSourceK8CIModel struct {
	// request fields
	K8ciID   types.Int64    `tfsdk:"k8ci_id"`
	Timeouts timeouts.Value `tfsdk:"timeouts"`

	// response fields
	Description    types.String `tfsdk:"desc"`
	GID            types.Int64  `tfsdk:"gid"`
	GUID           types.Int64  `tfsdk:"guid"`
	Id             types.String `tfsdk:"id"`
	LBImageID      types.Int64  `tfsdk:"lb_image_id"`
	MasterDriver   types.String `tfsdk:"master_driver"`
	MasterImageId  types.Int64  `tfsdk:"master_image_id"`
	MaxMasterCount types.Int64  `tfsdk:"max_master_count"`
	MaxWorkerCount types.Int64  `tfsdk:"max_worker_count"`
	Milestones     types.Int64  `tfsdk:"milestones"`
	Name           types.String `tfsdk:"name"`
	NetworkPlugins types.List   `tfsdk:"network_plugins"`
	SharedWith     types.List   `tfsdk:"shared_with"`
	Status         types.String `tfsdk:"status"`
	Version        types.String `tfsdk:"version"`
	WorkerDriver   types.String `tfsdk:"worker_driver"`
	WorkerImageId  types.Int64  `tfsdk:"worker_image_id"`
}
