package models

import (
	"github.com/hashicorp/terraform-plugin-framework-timeouts/datasource/timeouts"
	"github.com/hashicorp/terraform-plugin-framework/types"
)

type DataSourceRGResourceConsumptionListModel struct {
	// request fields
	Timeouts timeouts.Value `tfsdk:"timeouts"`

	// response fields
	Id         types.String                   `tfsdk:"id"`
	Items      []ItemResourceConsumptionModel `tfsdk:"items"`
	EntryCount types.Int64                    `tfsdk:"entry_count"`
}

type ItemResourceConsumptionModel struct {
	RGID           types.Int64  `tfsdk:"rg_id"`
	Consumed       types.Object `tfsdk:"consumed"`
	Reserved       types.Object `tfsdk:"reserved"`
	ResourceLimits types.Object `tfsdk:"resource_limits"`
}
