package models

import (
	"github.com/hashicorp/terraform-plugin-framework-timeouts/datasource/timeouts"
	"github.com/hashicorp/terraform-plugin-framework/types"
)

type DataSourceVINSIPListModel struct {
	// request fields
	VinsID   types.Int64    `tfsdk:"vins_id"`
	Timeouts timeouts.Value `tfsdk:"timeouts"`

	// response fields
	Id         types.String      `tfsdk:"id"`
	Items      []ItemIPVinsModel `tfsdk:"items"`
	EntryCount types.Int64       `tfsdk:"entry_count"`
}

type ItemIPVinsModel struct {
	ClientType types.String `tfsdk:"client_type"`
	DomainName types.String `tfsdk:"domain_name"`
	Hostname   types.String `tfsdk:"host_name"`
	IP         types.String `tfsdk:"ip"`
	MAC        types.String `tfsdk:"mac"`
	Type       types.String `tfsdk:"type"`
	VMID       types.Int64  `tfsdk:"vm_id"`
}
