/*
Пример использования
Получение информации о расходуемых ресурсах аккаунта
*/

#Раскомментируйте этот код,
#и внесите необходимые правки в версию и путь,
#чтобы работать с установленным вручную (не через hashicorp provider registry) провайдером
/*
terraform {
  required_providers {
    dynamix = {
      source  = "basistech.ru/tf/dynamix"
      version = "<VERSION>"
    }
  }
}
*/

provider "dynamix" {
  authenticator = "decs3o"
  #controller_url = <DYNAMIX_CONTROLLER_URL>
  controller_url = "https://ds1.digitalenergy.online"
  #oauth2_url = <DYNAMIX_OAUTH2_URL>
  oauth2_url           = "https://sso.digitalenergy.online"
  allow_unverified_ssl = true
}

data "dynamix_account_consumed_units_by_type" "acubt" {
  #id аккаунта
  #обязательный параметр
  #тип - целое число
  account_id = 33333

  #тип вычислительной единицы
  #обязательный параметр
  #тип - строка
  #значения:
  #CU_C - кол-во виртуальных cpu ядер
  #CU_M - кол-во RAM в МБ
  #CU_D - кол-в используемой дисковой памяти, в ГБ
  #CU_I - кол-во публичных ip адресов
  #CU_NP - кол-во полученного/отданного трафика, в ГБ
  cu_type = "CU_C"
}

output "test" {
  value = data.dynamix_account_consumed_units_by_type.acubt
}
