_Resource_ функция **dynamix_snapshot** служит для управления снапшотами. Снапшот позволяет делать снимки данных с диска, а после этого их восстанавливать. Для успешного восстановления данных через снапшот, необходимо убедиться, что [compute](link will available soon) (вычислительные мощности) остановлен.

## Аргументы
_Resource_ функция **dynamix_snapshot** для создания снапшота принимает следующие аргументы:

| Аргумент | Тип | Обязательный | Описание |
| --- | --- | --- | --- |
| compute_id | int | :heavy_check_mark: | ID вычислительной мощности |
| label | string | :heavy_check_mark: | Наименование снапшота |
| rollback | bool | :x: | Флаг отката<br/>по-умолчанию - false<br/>если флаг был изменен с false на true,<br/>то произойдет восстановление данных из снапшота<br/>Флаг используется после создания ресурса. |

## Возвращаемые значения
В случае успешного выполнения _resource_ функция **dynamix_snapshot** возвращает в указанную при вызове переменную следующие значения:

| Параметр | Тип | Описание |
| --- | --- | --- |
| guid | string | Guid снапшота |
| label | string | Наименование снапшота |
| timestamp | int | Время создания снапшота |
| disks | []int | Диски снапшота |

## Пример использования
Пример вызова _resource_ функции **dynamix_snapshot**:
```terraform
resource "dynamix_snapshot" "s" {
  #обязательный параметр
  #id вычислительной мощности
  #тип - целое число
  compute_id = 24074

  #обязательный параметр
  #наименование snapshot
  #тип - строка
  label = "test_ssht_3"

  #флаг отката
  #опциональный параметр
  #если флаг был измеен с false на true, то произойдет откат
  #по-уолчанию - false
  #тип - булев
  #rollback = false

}
```

Данный пример подразумевает, что ранее по тексту tf-файла выполнена корректная инициализация провайдера (подробнее об инициализации Terraform провайдера DYNAMIX см. соответствующий [раздел](https://repository.basistech.ru/BASIS/terraform-provider-dynamix/src/branch/main/wiki/1.0.1/04.02-Инициализация-Terraform-провайдера-DYNAMIX.md)). 

После успешного завершения такого вызова **dynamix_snapshot** в переменной `dynamix_snapshot.s` будут сохранены возвращаемые значения.
