_Data source_ функция **dynamix_kvmvm_audits** служит для получения аудитов компьюта.

## Аргументы

_Data source_ функция **dynamix_kvmvm_audits** принимает следующие аргументы:
| Аргумент | Тип | Обязательный | Описание |
| --- | --- | --- | --- |
| compute_id | int | :heavy_check_mark: | ID компьюта |

## Возвращаемые значения
В случае успешного выполнения _data source_ функция **dynamix_kvmvm_audits** возвращает в указанную при вызове переменную, в поле _items_ массив, каждый элемент которого состоит из следующих параметров:

| Параметр | Тип | Описание |
| --- | --- | --- |
| call | string | Какая команда была выполнена |
| responsetime | float | Время выполнения |
| statuscode | int | Статус выполнения |
| timestamp | float | Точное время исполнения |
| user | string | Кем была выполнена команда |

## Пример использования
```terraform
data "dynamix_kvmvm_audits" "kvmvm_audits" {
  #id виртуальной машины
  #обязательный параметр
  #тип - целое число
  compute_id = 10154
}
```

Данный пример подразумевает, что ранее по тексту tf-файла выполнена корректная инициализация провайдера (подробнее об инициализации Terraform провайдера DYNAMIX см. соответствующий [раздел](https://repository.basistech.ru/BASIS/terraform-provider-dynamix/src/branch/main/wiki/1.1.0/04.02-Инициализация-Terraform-провайдера-DYNAMIX.md)). 

После успешного завершения такого вызова _data source_ функции **dynamix_kvmvm_audits** в переменной `data.dynamix_kvmvm_audits.kvmvm_audits` будут сохранены возвращаемые значения. 
