_Data source_ функция **dynamix_rg_affinity_groups_get** служит для получения информации о аффинити группе ресурсной группы.

Ресурсная группа в облачной платформе DYNAMIX это способ группирования _compute_-ов (например, по функциональному признаку или принадлежности к одному и тому же проекту). Ресурсную группу можно рассматривать как небольшой персональный дата-центр, в котором размещаются один или несколько серверов и виртуальных сетевых сегментов (ViNS).

Экземпляры _compute_ (виртуальные серверы) всегда создаются в принадлежности к какой-либо ресурсной группе. Как следствие, для создания экземпляра _compute_ помимо других параметров требуется указать идентификатор целевой ресурсной группы. Для получения такого идентификатора можно воспользоваться рассматриваемой здесь _data source_ функцией **dynamix_rg_affinity_groups_get**.

## Аргументы
_Data source_ функция **dynamix_rg_affinity_groups_get** принимает следующие аргументы:

| Аргумент | Тип | Обязательный | Описание |
| --- | --- | --- | --- |
| rg_id | :heavy_check_mark: | int | Идентификатор ресурсной группы |
| affinity_group | :heavy_check_mark: | string | Аффинити группа |

Пользователь облачной платформы, от лица которого происходит обращение к данной функции, должен иметь доступ к указанному `account` и ресурсной группе. В противном случае возникнет ошибка доступа.

Пользователь облачной платформы задается на стадии инициализации Terraform провайдера DYNAMIX (см. [подробности](https://repository.basistech.ru/BASIS/terraform-provider-dynamix/src/branch/main/wiki/1.1.0/04.02-Инициализация-Terraform-провайдера-DYNAMIX.md)).

## Возвращаемые значения
В случае успешного выполнения _data source_ функция **dynamix_rg_affinity_groups_get** возвращает следующие параметры:
| Параметр | Тип | Описание |
| --- | --- | --- |
| ids | []int | Список ID |

## Пример использования
Пример вызова _data source_ функции **dynamix_rg_affinity_groups_get**:

```terraform
data "dynamix_rg_affinity_groups_get" "get_groups" {
  #id ресурсной группы
  #обязательный параметр
  #тип - целое число
  rg_id = 123

  #название специальной группы компьютов
  #обязательное поле
  #тип - строка
  affinity_group = "TEST"
}
```

Данный пример подразумевает, что ранее по тексту tf-файла выполнена корректная инициализация провайдера (подробнее об инициализации Terraform провайдера DYNAMIX см. соответствующий [раздел](https://repository.basistech.ru/BASIS/terraform-provider-dynamix/src/branch/main/wiki/1.1.0/04.02-Инициализация-Terraform-провайдера-DYNAMIX.md) и [пример](https://repository.basistech.ru/BASIS/terraform-provider-dynamix/src/branch/main/wiki/1.1.0/02.-Пример-работы.md)). 

После успешного завершения такого вызова **dynamix_rg_affinity_groups_get** в переменной `data.dynamix_rg_affinity_groups_get.get_groups` будут сохранены возвращаемые значения. В частности, для получения идентификатора ресурсной группы следует использовать конструкцию `data.dynamix_rg_affinity_groups_get.get_groups.id`
