_Data source_ функция **dynamix_stack** служит для получения информации о переданном stack. Stack - вычислительный узел.

## Аргументы

_Data source_ функция **dynamix_stack** принимает следующие аргументы:

| Аргумент | Тип | Обязательный | Описание |
| --- | --- | --- | --- |
| stack_id | int | :heavy_check_mark: | ID вычислительного узла |

## Возвращаемые значения

В случае успешного выполнения _data source_ функция **dynamix_stack** возвращает в указанную при вызове переменную элемент, который состоит из следующих параметров:

| Параметр | Тип | Описание |
| --- | --- | --- |
| stack_id | int | ID вычислительного узла (stack) |
| cpu_allocation_ratio | float | Отношение выделения CPU |
| descr | string | Описание |
| drivers | []string | Список используемых драйверов |
| mem_allocation_ratio | float | Коэффициент выделения оперативной памяти |
| name | string | Наименование stack |
| status | string | Статус stack |
| type | string | Тип stack |

## Пример использования

Пример вызова _data source_ функции **dynamix_stack**:

```terraform
data "dynamix_stack" "stack" {
  #обязательный параметр
  #тип - целое число
  #идентификатор стека
  stack_id = 2
}
```

Данный пример подразумевает, что ранее по тексту tf-файла выполнена корректная инициализация провайдера (подробнее об инициализации Terraform провайдера DYNAMIX см. соответствующий [раздел](https://repository.basistech.ru/BASIS/terraform-provider-dynamix/src/branch/main/wiki/1.1.0/04.02-Инициализация-Terraform-провайдера-DYNAMIX.md)).

После успешного завершения такого вызова **dynamix_stack** в переменной `data.dynamix_stack.stack` будут сохранены возвращаемые значения. Так, например:
* наименование stack - `data.dynamix_stack.stack.name`
