_Resource_ функция **dynamix_disk_snapshot** служит для управления снимками данных диска. Функция позволяет:
- Получить снимок
- Удалить снимок
- Произвести "откат" диска к этому снимку

## Аргументы
_Resource_ функция **dynamix_disk_snapshot** принимает следующие аргументы:

| Аргумент | Тип | Обязательный | Описание |
| --- | --- | :---: | --- |
| disk_id | int | :heavy_check_mark: | ID диска, к которому принадлежит снимок |
| label | string | :heavy_check_mark: | ID снимка |
| rollback | bool | :x: | Откат диска. Происходит только при изменении с false на true. По умолчанию - false |
| timestamp | int | :x: | Время отката. Используется только при осуществлении отката |

## Возвращаемые значения
В случае успешного выполнения _resource_ функция **dynamix_disk_snapshot** возвращает в указанную при вызове переменную элемент, который состоит из следующих параметров:

| Параметр | Тип | Описание |
| --- | --- | --- |
| disk_id | int | ID диска, к которому принадлежит снимок |
| label | string | Наименование снимка |
| rollback | bool | Откат диска. Происходит только при изменении с false на true. По умолчанию - false |
| timestamp | int | Время отката. Используется только при осуществлении отката |
| guid | string | ID снимка |
| res_id | string | Ссылка на снимок |
| snap_set_guid | string | ID набора снимков, в котором лежит снимок состояния |
| snap_set_time | string | Время набора |

## Пример использования
Пример вызова _resource_ функции **dynamix_disk_snapshot**:
```terraform
resource "dynamix_disk_snapshot" "ds" {
  #номер диска
  #обязательный параметр
  #тип - целое число
  disk_id = 20100

  #ярлык диска
  #обязательный параметр
  #тип - строка
  label = "label"

  #флаг rollback
  #опциональный параметр
  #тип - булев
  rollback = false
}
```

После успешного завершения такого вызова **dynamix_disk_snapshot** в переменной `dynamix_disk_snapshot.ds` будут сохранены возвращаемые значения.
