_Data source_ функция **dynamix_account_consumed_units_by_type** служит для получения информации об используемых ресурсах по типу переданного ресурса.

## Аргументы
_Data source_ функция **dynamix_account_consumed_units_by_type** принимает следующие аргументы:
| Аргумент | Тип | Обязательный | Описание |
| --- | --- | --- | --- | 
| account_id | int | :heavy_check_mark: | ID аккаунта |
| cu_type | string | :heavy_check_mark: | Тип ресурса<br/>cu_c - кол-во ядер<br/>cu_d - размер диска, ГБ<br/>cu_m - размер RAM, МБ<br/>cu_i - кол-во публичных IP-адресов<br/>cu_np - кол-во полученного/отданного трафика, в ГБ<br/>gpu_units - кол-во графических ядер |


## Возвращаемые значения
В случае успешного выполнения _data source_ функция **dynamix_account_consumed_units_by_type** возвращает следующие параметры:

| Параметр | Тип | Описание |
| --- | --- | --- |
| account_id | int | ID аккаунта |
| cu_type | string | Тип ресурса<br/>cu_c - кол-во ядер<br/>cu_d - размер диска, ГБ<br/>cu_m - размер RAM, МБ<br/>cu_i - кол-во публичных IP-адресов<br/>cu_np - кол-во полученного/отданного трафика, в ГБ<br/>gpu_units - кол-во графических ядер |
| cu_result | float | Информация о ресурсе |

## Пример использования
Пример вызова _data source_ функции **dynamix_account_consumed_units_by_type**:
```terraform
data "dynamix_account_consumed_units_by_type" "acubt" {
  #id аккаунта
  #обязательный параметр
  #тип - целое число
  account_id = 33333

  #тип вычислительной единицы
  #обязательный параметр
  #тип - строка
  #значения:
  #CU_C - кол-во виртуальных cpu ядер
  #CU_M - кол-во RAM в МБ
  #CU_D - кол-в используемой дисковой памяти, в ГБ
  #CU_I - кол-во публичных ip адресов
  #CU_NP - кол-во полученного/отданного трафика, в ГБ
  cu_type = "CU_C"
}
```

Данный пример подразумевает, что ранее по тексту tf-файла выполнена корректная инициализация провайдера (подробнее об инициализации Terraform провайдера DYNAMIX см. соответствующий [раздел](https://repository.basistech.ru/BASIS/terraform-provider-dynamix/src/branch/main/wiki/1.2.0/04.02-Инициализация-Terraform-провайдера-DYNAMIX.md)). 

После успешного завершения такого вызова **dynamix_account_consumed_units_by_type** в переменной `data.dynamix_account_consumed_units_by_type.acubt` будут сохранены возвращаемые значения.
