Функция доступна в провайдере версии 1.1.0 и выше.

_Data source_ функция **dynamix_dpdknet** служит для получения информации об уже существующей DPDK сети.

## Аргументы
_Data source_ функция **dynamix_dpdknet** принимает следующие аргументы:

| Аргумент | Тип | Обязательный | Описание |
| --- | --- | --- | --- |
| dpdk_id | int | :heavy_check_mark: | Идентификатор DPDK сети |

## Возвращаемые значения
В случае успешного выполнения _data source_ функция **dynamix_dpdknet** возвращает в указанную при вызове переменную следующие значения:

| Параметр | Тип | Описание |
| --- | --- | --- |
| account_access | []int | Cписок ID аккаунтов, которым может быть выделена сеть в эксклюзивное пользование |
| compute_ids | []int | Cписок компьютов, которые используют данную сеть для своих интерфейсов |
| created_time | int | Время создания |
| desc | string | Текстовое описание сети |
| dpdk_id | int | Идентификатор сети |
| gid | int | Идентификатор площадки (GRID ID) |
| guid | int | GUID ресурса |
| id | string | Идентификатор запроса |
| name | string | Наименование сети |
| ovs_bridge | string | OVS bridge в котором будут создаваться интерфейсы для компьютов, созданные из этой сети |
| rg_access | []int | Cписок ID ресурсных групп, которым может быть выделена сеть в эксклюзивное пользование |
| status | string | Статус сети |
| updated_time | int | Время обновления |
| vlan_id | int | ID виртуальной сети для тегирования траффика на интерфейсе для компьюта |

## Пример использования
Пример вызова _data source_ функции **dynamix_dpdknet**:

```terraform
data "dynamix_dpdknet" "dpdk" {
  #фильтр по ID DPDK сети
  #обязательный параметр
  #тип - целое число
  dpdk_id = 49304
}
```

Данный пример подразумевает, что ранее по тексту tf-файла выполнена корректная инициализация провайдера (подробнее об инициализации Terraform провайдера DYNAMIX см. соответствующий [раздел](https://repository.basistech.ru/BASIS/terraform-provider-dynamix/src/branch/main/wiki/1.2.0/04.02-Инициализация-Terraform-провайдера-DYNAMIX.md) и [пример](https://repository.basistech.ru/BASIS/terraform-provider-dynamix/src/branch/main/wiki/1.2.0/02.-Пример-работы.md)). 

После успешного завершения такого вызова **dynamix_dpdknet** в переменной `data.dynamix_dpdknet.dpdk` будут сохранены возвращаемые значения. В частности, для получения наименования сети следует использовать конструкцию `data.dynamix_dpdknet.dpdk.name`