_Data source_ функция **dynamix_snapshot_list** служит для получения информации об имеющихся снапшотах у переданной в аргументах вычислительной платформы. Снапшот позволяет делать снимки данных с диска, а после этого их восстанавливать. Для успешного восстановления данных через снапшот, необходимо убедиться, что [compute](https://repository.basistech.ru/BASIS/terraform-provider-dynamix/src/branch/main/wiki/1.2.1/07.01.01-Resource_dynamix_kvmvm.md) (вычислительные мощности) остановлен.

## Аргументы
_Data source_ функция **dynamix_snapshot_list** принимает следующие аргументы:

| Аргумент | Тип | Обязательный | Описание |
| --- | --- | --- | --- |
| compute_id | int | :heavy_check_mark: | ID вычислительной мощности |

## Возвращаемые значения
В случае успешного выполнения _data source_ функция **dynamix_snapshot_list** возвращает в указанную при вызове переменную, в поле _items_ массив, каждый элемент которого состоит из следующих параметров:

| Параметр | Тип | Описание |
| --- | --- | --- |
| guid | string | Guid снапшота |
| label | string | Наименование снапшота |
| timestamp | int | Время создания снапшота |
| disks | []int | Диски снапшота |


## Пример использования
Пример вызова _data source_ функции **dynamix_snapshot_list**:
```terraform
data "dynamix_snapshot_list" "sl" {
  #обязательный параметр
  #id вычислительной мощности
  #тип - целое число
  compute_id = 24074
}
```

Данный пример подразумевает, что ранее по тексту tf-файла выполнена корректная инициализация провайдера (подробнее об инициализации Terraform провайдера DYNAMIX см. соответствующий [раздел](https://repository.basistech.ru/BASIS/terraform-provider-dynamix/src/branch/main/wiki/1.2.1/04.02-Инициализация-Terraform-провайдера-DYNAMIX.md)). 

После успешного завершения такого вызова **dynamix_snapshot_list** в переменной `data.dynamix_snapshot_list.sl` будут сохранены возвращаемые значения.
