_Data source_ функция **dynamix_account_consumed_units** служит для получения информации об используемых аккаунтом ресурсах.  


## Аргументы
_Data source_ функция **dynamix_account_consumed_units** принимает следующие аргументы:
| Аргумент | Тип | Обязательный | Описание |
| --- | --- | --- | --- | 
| account_id | int | :heavy_check_mark: | ID аккаунта |


## Возвращаемые значения
В случае успешного выполнения _data source_ функция **dynamix_account_consumed_units** возвращает следующие параметры:
| Параметр | Тип | Описание |
| --- | --- | --- |
| account_id | int | ID аккаунта |
| cu_c | float | Кол-во используемых ядер |
| cu_d | float | Размер используемых дисков, ГБ |
| cu_i | float | Кол-во используемых публичных IP-адресов |
| cu_m | float | Размер используемой RAM, МБ |
| cu_dm | float | Использованный размер хранилища виртуального диска |
| cu_np | float | Кол-во траффика, ГБ |
| gpu_units | float | Кол-во графических ядер |


## Пример использования
Пример вызова _data source_ функции **dynamix_account_consumed_units**:
```terraform
data "dynamix_account_consumed_units" "acu" {
  #id аккаунта
  #обязательный параметр
  #тип - целое число
  account_id = 22222
}
```

Данный пример подразумевает, что ранее по тексту tf-файла выполнена корректная инициализация провайдера (подробнее об инициализации Terraform провайдера DYNAMIX см. соответствующий [раздел](https://repository.basistech.ru/BASIS/terraform-provider-dynamix/src/branch/main/wiki/1.2.1/04.02-Инициализация-Terraform-провайдера-DYNAMIX.md)). 

После успешного завершения такого вызова **dynamix_account_consumed_units** в переменной `data.dynamix_account_consumed_units.acu` будут сохранены возвращаемые значения.
