_Data source_ функция **dynamix_vfpool** служит для получения информации о vfpool устройстве

## Аргументы

_Data source_ функция **dynamix_vfpool** принимает следующие аргументы:

| Аргумент | Тип | Обязательный | Описание |
| --- | --- | --- | --- |
| vfpool_id | int | :heavy_check_mark: | ID устройства vfpool |

## Возвращаемые значения

В случае успешного выполнения _data source_ функция **dynamix_vfpool** возвращает в указанную при вызове переменную элемент, который состоит из следующих параметров:

| Параметр | Тип | Описание |
| --- | --- | --- | 
| vfpool_id | int | ID устройства vfpool |
| account_access | []int | Список имеющих доступ к vfpool учетных записей |
| created_time | int | Дата создания |
| description | string | Описание |
| gid | int | Grid ID |
| guid | int | Guid пользователя vfpool |
| name | string | Наименование vfpool |
| rg_access | []int | Список имеющих доступ к vfpool ресурсных групп |
| status | string | Состояние |
| updated_time | int | Дата изменения |
| vfs | []Struct [см. ниже](#описание-структуры-vfs) | Список параметров |

### Описание структуры vfs
| Параметр | Тип | Описание |
| --- | --- | --- |
| node_id | int | ID узла |
| vf_list | []Struct [см. ниже](#описание-структуры-vf_list) | Список параметров |

### Описание структуры vf_list
| Параметр | Тип | Описание |
| --- | --- | --- |
| nic_name | string | Название сетевого адаптера |
| vfs_info | []Struct [см. ниже](#описание-структуры-vfs_info) | Список параметров |

### Описание структуры vfs_info
| Параметр | Тип | Описание |
| --- | --- | --- |
| id | int | Идентификатор |
| claimed | bool | Флаг наличия сетевого драйвера |
| vm_id | int | ID виртуальной машины |

## Пример использования

Пример вызова _data source_ функции **dynamix_vfpool**:

```terraform
data "dynamix_vfpool" "vfpool" {
  #обязательный параметр
  #тип - целое число
  #идентификатор vfpool
  vfpool_id = 2
}
```

Данный пример подразумевает, что ранее по тексту tf-файла выполнена корректная инициализация провайдера (подробнее об инициализации Terraform провайдера DYNAMIX см. соответствующий [раздел](https://repository.basistech.ru/BASIS/terraform-provider-dynamix/src/branch/main/wiki/1.2.1/04.02-Инициализация-Terraform-провайдера-DYNAMIX.md)).

После успешного завершения такого вызова **dynamix_vfpool** в переменной `data.dynamix_vfpool.vfpool` будут сохранены возвращаемые значения.
