_Resource_ функция **dynamix_vins_static_route** служит для управления статическими путями. Функция позволяет:
- Создать статический путь
- Удалить статический путь
- Выдать/отозвать доступ к статическому пути для compute

## Аргументы
_Resource_ функция **dynamix_vins_static_route** принимает следующие аргументы:

| Аргумент | Тип | Обязательный | Описание |
| --- | --- | --- | --- |
| vins_id | int | :heavy_check_mark: | ID VINS |
| destination | string | :heavy_check_mark: | IP целевой сети |
| gateway | string | :heavy_check_mark: | IP шлюза |
| netmask | string | :heavy_check_mark: | Сетевая маска |

## Возвращаемые значения

| Параметр | Тип | Описание |
| --- | --- | --- |
| destination | string | IP целевой сети |
| gateway | string | IP шлюза |
| guid | string | guid ресурса |
| netmask | string | сетевая маска |
| compute_ids | []int | Список ID compute, которым предоствавлен доступ |


## Пример использования

```terraform
resource "dynamix_vins_static_route" "sr" {
  #id Vins
  #обязательный параметр
  #тип - целое число
  vins_id = 1111

  #destination network
  #обязательный параметр
  #тип - строка
  destination = "192.168.201.0"

  #destination network mask
  #обязательный параметр
  #тип - строка
  netmask = "255.255.255.255"

  #ip-адрес из пула свободных IP-адресов ViNS ID
  #обязательный параметр
  #тип - строка
  gateway = "192.168.201.40"
  
}
```

После успешного завершения такого вызова **dynamix_vins_static_route** в переменной `dynamix_vins_static_route.sr` будут сохранены возвращаемые значения.
